LAMP一键安装脚本 from:秋水逸冰

Install LAMP(Linux + Apache + MySQL + PHP ) for CentOS/Redhat/Fedora

项目地址:https://github.com/teddysun/lamp

最新版本:2015年01月29日

适用环境:

  • 系统支持:CentOS/Redhat/Fedora
  • 内存要求:≥256M
  • 硬盘要求:2GB以上的剩余空间
  • 服务器必须配置好软件源和可连接外网
  • 必须具有系统 root 权限
  • 建议使用干净系统全新安装

将会安装:

  • 1、Apache 2.4.10
  • 2、MySQL 5.6.22、MySQL 5.5.41、MariaDB 5.5.41、MariaDB 10.0.15 (四选一安装)
  • 3、PHP 5.4.37、 PHP 5.3.29、 PHP 5.5.21 (三选一安装)
  • 4、phpMyAdmin 4.3.8
  • 5、OCI8 2.0.8 (可选安装)
  • 6、xcache 3.2.0 (可选安装)
  • 7、pure-ftpd-1.0.36 (可选安装)
  • 8、memcached-1.4.22 (可选安装)
  • 9、Zend OPcache 7.0.4 (可选安装)
  • 10、ImageMagick-6.9.0-3 (可选安装)
  • 11、GraphicsMagick-1.3.20 (可选安装)
  • 12、Zend Guard Loader 3.3 (可选安装)
  • 13、ionCube PHP Loader 4.7.3 (可选安装)

 

posted @ 2015-02-04 13:30  osfipin  阅读(888)  评论(0编辑  收藏  举报
我是底部